Asterisk 1.8.5 & g729


#1

I can install and run Asterisk 1.8.5 and it seems to work fine. however, as soon as I install the g729 codec i get into problems… after moving the new 1.8 codec_g729a.so into the /usr/lib/asterisk/modules directory and logging into the CLI and running “g729 show licenses” the system basically stops working. I can continue to type commands at the CLI prompt but i get no responses.

any input would be helpful.

note: same system running 1.6.1.6 has no issues with g729

thanks,
Scott


#2

You’re not copying the asterisk 1.6 codec_g729.so to asterisk 1.8, right?


#3

No, it is the 1.8 version for sure. double/triple checked that lol… and tried generic, core, and barcelona versions of the codec.

Thanks


#4

However… thank you, i did have 1.8 installed… it seems there is a 1.8.4+ version now… downloaded it and good-to-go…

cheers,
Scott